<?php
/**
 * The template for adding Consultation Form Settings in Customizer
 *
 * @package Decree Pro
 */

$wp_customize->add_section( 'decree_contact_form', array(
	'panel' => 'decree_theme_options',
	'title' => esc_html__( 'Consultation Form', 'decree-pro' ),
) );

$wp_customize->add_setting( 'decree_theme_options[contact_form_option]', array(
	'default'           => $defaults['contact_form_option'],
	'sanitize_callback' => 'decree_sanitize_select',
) );

$wp_customize->add_control( 'decree_theme_options[contact_form_option]', array(
	'choices'  => decree_section_visibility_options(),
	'label'    => esc_html__( 'Enable on', 'decree-pro' ),
	'section'  => 'decree_contact_form',
	'settings' => 'decree_theme_options[contact_form_option]',
	'type'     => 'select',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_page_bg_image]', array(
	'default'			=> $defaults['contact_page_bg_image'],
	'sanitize_callback' => 'decree_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'decree_theme_options[contact_page_bg_image]', array(
	'active_callback' => 'decree_is_contact_form_active',
	'label'           => esc_html__( 'Background Image', 'decree-pro' ),
	'section'         => 'decree_contact_form',
	'settings'        => 'decree_theme_options[contact_page_bg_image]',
) ) );

$wp_customize->add_setting( 'decree_theme_options[contact_form_type]', array(
	'default'           => $defaults['contact_form_type'],
	'sanitize_callback' => 'decree_sanitize_select',
) );

$section_types = decree_news_ticker_types();

unset( $section_types['demo'], $section_types['post'], $section_types['category'] );

$wp_customize->add_control( 'decree_theme_options[contact_form_type]', array(
	'active_callback' => 'decree_is_contact_form_active',
	'choices'         => $section_types,
	'label'           => esc_html__( 'Select Content Type', 'decree-pro' ),
	'section'         => 'decree_contact_form',
	'settings'        => 'decree_theme_options[contact_form_type]',
	'type'            => 'select',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_form_page]', array(
	'sanitize_callback'	=> 'decree_sanitize_page',
) );

$wp_customize->add_control( 'decree_contact_form_page_' . $i, array(
	'active_callback' => 'decree_is_page_contact_form_active',
	'label'           => esc_html__( 'Select Page', 'decree-pro' ),
	'section'         => 'decree_contact_form',
	'settings'        => 'decree_theme_options[contact_form_page]',
	'type'            => 'dropdown-pages',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_form_enable_title]', array(
		'default'           => $defaults['contact_form_enable_title'],
		'sanitize_callback' => 'decree_sanitize_checkbox',
) );

$wp_customize->add_control(  'decree_theme_options[contact_form_enable_title]', array(
	'active_callback' => 'decree_is_page_contact_form_active',
	'label'           => esc_html__( 'Check to Enable Title', 'decree-pro' ),
	'section'         => 'decree_contact_form',
	'settings'        => 'decree_theme_options[contact_form_enable_title]',
	'type'            => 'checkbox',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_form_title]', array(
	'sanitize_callback'	=> 'wp_kses_post',
) );

$wp_customize->add_control(  'decree_theme_options[contact_form_title]', array(
	'active_callback' => 'decree_is_custom_contact_form_active',
	'label'           => esc_html__( 'Form Title', 'decree-pro' ),
	'section'         => 'decree_contact_form',
	'settings'        => 'decree_theme_options[contact_form_title]',
	'type'            => 'text',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_form_description]', array(
	'sanitize_callback'	=> 'wp_kses_post',
) );

$wp_customize->add_control( 'decree_theme_options[contact_form_description]', array(
	'active_callback' => 'decree_is_custom_contact_form_active',
	'label'           => esc_html__( 'Form Description', 'decree-pro' ),
	'section'         => 'decree_contact_form',
	'settings'        => 'decree_theme_options[contact_form_description]',
	'type'            => 'textarea',
) );

$wp_customize->add_setting( 'decree_theme_options[contact_form_content]', array(
	'sanitize_callback'	=> 'wp_kses_post',
) );

$wp_customize->add_control( 'decree_theme_options[contact_form_content]', array(
	'active_callback' => 'decree_is_custom_contact_form_active',
	'description'     => esc_html__( 'Add Contact form shortcode below', 'decree-pro' ),
	'label'           => esc_html__( 'Form Content', 'decree-pro' ),
	'section'         => 'decree_contact_form',
	'settings'        => 'decree_theme_options[contact_form_content]',
	'type'            => 'textarea',
) );
