<?php
/**
 * The template for adding Featured Slider Options in Customizer
 *
 * @package Decree Pro
 */
	$wp_customize->add_section( 'decree_featured_slider', array(
		'panel'    => 'decree_theme_options',
		'priority' => 500,
		'title'    => esc_html__( 'Featured Slider', 'decree-pro' ),
	) );

	$wp_customize->add_setting( 'decree_theme_options[featured_slider_option]', array(
			'default'			=> $defaults['featured_slider_option'],
		'sanitize_callback' => 'decree_sanitize_select',
	) );

	$wp_customize->add_control( 'decree_theme_options[featured_slider_option]', array(
		'choices'   => decree_section_visibility_options(),
		'label'    	=> esc_html__( 'Enable on', 'decree-pro' ),
		'priority'	=> '2',
		'section'  	=> 'decree_featured_slider',
		'settings' 	=> 'decree_theme_options[featured_slider_option]',
		'type'    	=> 'select',
	) );

	$wp_customize->add_setting( 'decree_theme_options[featured_slider_transition_effect]', array(
			'default'			=> $defaults['featured_slider_transition_effect'],
		'sanitize_callback'	=> 'decree_sanitize_select',
	) );

	$wp_customize->add_control( 'decree_theme_options[featured_slider_transition_effect]' , array(
		'active_callback' => 'decree_is_slider_active',
		'choices'         => decree_featured_slider_transition_effects(),
		'label'           => esc_html__( 'Transition Effect', 'decree-pro' ),
		'priority'        => '3',
		'section'         => 'decree_featured_slider',
		'settings'        => 'decree_theme_options[featured_slider_transition_effect]',
		'type'            => 'select',
		)
	);

	$wp_customize->add_setting( 'decree_theme_options[featured_slider_transition_delay]', array(
			'default'			=> $defaults['featured_slider_transition_delay'],
		'sanitize_callback'	=> 'absint',
	) );

	$wp_customize->add_control( 'decree_theme_options[featured_slider_transition_delay]' , array(
		'active_callback'	=> 'decree_is_slider_active',
		'description'	=> esc_html__( 'seconds(s)', 'decree-pro' ),
		'input_attrs' => array(
			'style' => 'width: 40px;'
		),
		'label'    		=> esc_html__( 'Transition Delay', 'decree-pro' ),
		'priority'		=> '4',
		'section'  		=> 'decree_featured_slider',
		'settings' 		=> 'decree_theme_options[featured_slider_transition_delay]',
		)
	);

	$wp_customize->add_setting( 'decree_theme_options[featured_slider_transition_length]', array(
			'default'			=> $defaults['featured_slider_transition_length'],
		'sanitize_callback'	=> 'absint',
	) );

	$wp_customize->add_control( 'decree_theme_options[featured_slider_transition_length]' , array(
		'active_callback'	=> 'decree_is_slider_active',
		'description'	=> esc_html__( 'seconds(s)', 'decree-pro' ),
		'input_attrs' => array(
			'style' => 'width: 40px;'
		),
		'label'    		=> esc_html__( 'Transition Length', 'decree-pro' ),
		'priority'		=> '5',
		'section'  		=> 'decree_featured_slider',
		'settings' 		=> 'decree_theme_options[featured_slider_transition_length]',
		)
	);

	$wp_customize->add_setting( 'decree_theme_options[featured_slider_image_loader]', array(
			'default'			=> $defaults['featured_slider_image_loader'],
		'sanitize_callback' => 'decree_sanitize_select',
	) );

	$wp_customize->add_control( 'decree_theme_options[featured_slider_image_loader]', array(
		'active_callback' => 'decree_is_slider_active',
		'choices'         => decree_featured_slider_image_loader(),
		'label'           => esc_html__( 'Image Loader', 'decree-pro' ),
		'priority'        => '6',
		'section'         => 'decree_featured_slider',
		'settings'        => 'decree_theme_options[featured_slider_image_loader]',
		'type'            => 'select',
	) );

	$wp_customize->add_setting( 'decree_theme_options[featured_slider_type]', array(
			'default'			=> $defaults['featured_slider_type'],
		'sanitize_callback'	=> 'decree_sanitize_select',
	) );

	$wp_customize->add_control( 'decree_theme_options[featured_slider_type]', array(
		'active_callback'	=> 'decree_is_slider_active',
		'choices'  	=> decree_custom_section_types(),
		'label'    	=> esc_html__( 'Select Slider Type', 'decree-pro' ),
		'priority'	=> '7',
		'section'  	=> 'decree_featured_slider',
		'settings' 	=> 'decree_theme_options[featured_slider_type]',
		'type'	  	=> 'select',
	) );

	$wp_customize->add_setting( 'decree_theme_options[featured_slider_number]', array(
			'default'			=> $defaults['featured_slider_number'],
		'sanitize_callback'	=> 'decree_sanitize_number_range',
	) );

	$wp_customize->add_control( 'decree_theme_options[featured_slider_number]' , array(
			'active_callback'	=> 'decree_is_demo_slider_inactive',
			'description'	=> esc_html__( 'Save and refresh the page if No. of Slides is changed', 'decree-pro' ),
			'input_attrs' 	=> array(
				'style' => 'width: 45px;',
				'min'   => 1,
				'step'  => 1,
				),
			'label'    		=> esc_html__( 'No of Slides', 'decree-pro' ),
			'priority'		=> '8',
			'section'  		=> 'decree_featured_slider',
			'settings' 		=> 'decree_theme_options[featured_slider_number]',
			'type'	   		=> 'number',
			'transport'		=> 'postMessage'
		)
	);

	$wp_customize->add_setting( 'decree_theme_options[exclude_slider_post]', array(
			'default'			=> $defaults['exclude_slider_post'],
		'sanitize_callback'	=> 'decree_sanitize_checkbox',
	) );

	$wp_customize->add_control(  'decree_theme_options[exclude_slider_post]', array(
		'active_callback'	=> 'decree_is_post_slider_active',
		'label'		=> esc_html__( 'Check to exclude Slider post from Homepage posts', 'decree-pro' ),
		'priority'	=> '9',
		'section'   => 'decree_featured_slider',
		'settings'  => 'decree_theme_options[exclude_slider_post]',
		'type'		=> 'checkbox',
	) );

	//loop for featured post sliders
	for ( $i=1; $i <= $options['featured_slider_number'] ; $i++ ) {
		$wp_customize->add_setting( 'decree_theme_options[featured_slider_post_' . $i . ']', array(
					'sanitize_callback'	=> 'decree_sanitize_page',
		) );

		$wp_customize->add_control( 'decree_theme_options[featured_slider_post_' . $i . ']', array(
			'active_callback'	=> 'decree_is_post_slider_active',
			'input_attrs' => array(
				'style' => 'width: 80px;'
			),
			'label'    	=> esc_html__( 'Featured Post', 'decree-pro' ) . ' # ' . $i ,
			'priority'	=>  '10' . $i,
			'section'  	=> 'decree_featured_slider',
			'settings' 	=> 'decree_theme_options[featured_slider_post_' . $i . ']',
			'type'	   	=> 'text',
			)
		);
	}

	//loop for featured page sliders
	for ( $i=1; $i <= $options['featured_slider_number'] ; $i++ ) {
		$wp_customize->add_setting( 'decree_theme_options[featured_slider_page_' . $i . ']', array(
					'sanitize_callback'	=> 'decree_sanitize_page',
		) );

		$wp_customize->add_control( 'decree_theme_options[featured_slider_page_' . $i . ']', array(
			'active_callback'	=> 'decree_is_page_slider_active',
			'label'    	=> esc_html__( 'Featured Page', 'decree-pro' ) . ' # ' . $i ,
			'priority'	=> '11' . $i,
			'section'  	=> 'decree_featured_slider',
			'settings' 	=> 'decree_theme_options[featured_slider_page_' . $i . ']',
			'type'	   	=> 'dropdown-pages',
		) );
	}

	$wp_customize->add_setting( 'decree_theme_options[featured_slider_select_category]', array(
			'sanitize_callback'	=> 'decree_sanitize_category_list',
	) );

	$wp_customize->add_control( new decree_Customize_Dropdown_Categories_Control( $wp_customize, 'decree_theme_options[featured_slider_select_category]', array(
		'active_callback'	=> 'decree_is_category_slider_active',
		'label'   	=> __('Select Categories', 'decree-pro' ),
		'name' 		=> 'decree_theme_options[featured_slider_select_category]',
		'priority'	=> '10',
		'section'  	=> 'decree_featured_slider',
		'settings' 	=> 'decree_theme_options[featured_slider_select_category]',
		'type'     	=> 'dropdown-categories',
	) ) );

	$priority	=	'13';
	//loop for featured image slider
	for( $i = 1; $i <= $options['featured_slider_number'] ; $i++ ){
		if( $i > 9 ) // use this condition to make sure 10 comes after 9 priority wise
			$priority++;

		$wp_customize->add_setting( 'decree_theme_options[featured_slider_note_' . $i . ']', array(
					'sanitize_callback'	=> 'sanitize_text_field',
		) );

		$wp_customize->add_control( new decree_Note_Control( $wp_customize, 'featured_slider_note_'. $i, array(
			'active_callback'	=> 'decree_is_image_slider_active',
			'label'		=> esc_html__( 'Featured Slide #', 'decree-pro' ) . $i,
			'priority'	=> $priority . '.' . $i,
			'section'  	=> 'decree_featured_slider',
			'settings'	=> 'decree_theme_options[featured_slider_note_' . $i . ']',
			'type'     	=> 'description',
		) ) );

		$wp_customize->add_setting( 'decree_theme_options[featured_slider_image_' . $i . ']', array(
					'sanitize_callback'	=> 'decree_sanitize_image',
		) );

		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'decree_theme_options[featured_slider_image_' . $i . ']', array(
			'active_callback'	=> 'decree_is_image_slider_active',
			'label'		=> esc_html__( 'Image', 'decree-pro' ),
			'priority'	=> $priority . '.' . $i .$i,
			'section'   => 'decree_featured_slider',
			'settings'  => 'decree_theme_options[featured_slider_image_' . $i . ']',
		) ) );

		$wp_customize->add_setting( 'decree_theme_options[featured_slider_button_link_' . $i . ']', array(
					'sanitize_callback'	=> 'esc_url_raw',
		) );

		$wp_customize->add_control(  'decree_theme_options[featured_slider_button_link_' . $i . ']', array(
			'active_callback'	=> 'decree_is_image_slider_active',
			'label'		=> esc_html__( 'Title/Button Link', 'decree-pro' ),
			'priority'	=> $priority . '.' .$i . $i  . $i,
			'section'   => 'decree_featured_slider',
			'settings'  => 'decree_theme_options[featured_slider_button_link_' . $i . ']',
		) );

		$wp_customize->add_setting( 'decree_theme_options[featured_slider_button_text_' . $i . ']', array(
					'sanitize_callback'	=> 'sanitize_text_field',
		) );

		$wp_customize->add_control(  'decree_theme_options[featured_slider_button_text_' . $i . ']', array(
			'active_callback'	=> 'decree_is_image_slider_active',
			'label'		=> esc_html__( 'Button Text', 'decree-pro' ),
	        'priority'	=> $priority . '.' .$i . $i  . $i,
			'section'   => 'decree_featured_slider',
	        'settings'  => 'decree_theme_options[featured_slider_button_text_' . $i . ']',
		) );

		$wp_customize->add_setting( 'decree_theme_options[featured_target_' . $i . ']', array(
					'sanitize_callback'	=> 'decree_sanitize_checkbox',
		) );

		$wp_customize->add_control(  'decree_theme_options[featured_target_' . $i . ']', array(
			'active_callback'	=> 'decree_is_image_slider_active',
			'label'		=> esc_html__( 'Check to Open Link in New Window/Tab', 'decree-pro' ),
			'priority'	=> $priority . '.' .$i  .$i  . $i . $i,
			'section'   => 'decree_featured_slider',
			'settings'  => 'decree_theme_options[featured_target_' . $i . ']',
			'type'		=> 'checkbox',
		) );

		$wp_customize->add_setting( 'decree_theme_options[featured_title_' . $i . ']', array(
					'sanitize_callback'	=> 'sanitize_text_field',
		) );

		$wp_customize->add_control(  'decree_theme_options[featured_title_' . $i . ']', array(
			'active_callback'	=> 'decree_is_image_slider_active',
			'label'		=> esc_html__( 'Title', 'decree-pro' ),
			'priority'	=> $priority . '.' .$i .  $i.  $i .$i . $i,
			'section'   => 'decree_featured_slider',
			'settings'  => 'decree_theme_options[featured_title_' . $i . ']',
			'type'		=> 'text',
		) );

		$wp_customize->add_setting( 'decree_theme_options[featured_content_' . $i . ']', array(
					'sanitize_callback'	=> 'sanitize_text_field',
		) );

		$wp_customize->add_control( 'decree_theme_options[featured_content_' . $i . ']', array(
			'active_callback'	=> 'decree_is_image_slider_active',
			'label'		=> esc_html__( 'Content', 'decree-pro' ),
			'priority'	=> $priority . '.' . $i . $i .  $i . $i . $i . $i,
			'section'   => 'decree_featured_slider',
			'settings'  => 'decree_theme_options[featured_content_' . $i . ']',
			'type'		=> 'textarea',
		) );
	}
// Featured Slider End
