<?php
/**
 * This file makes the theme compatible with WPML, qTranslate X & Polylang Plugin
 *
 *
 * @package Decree Pro
 */

if ( ! function_exists( 'decree_menu_item' ) ) :
/**
 * Template for Converting Home link in Custom Menu
 *
 * To override this in a child theme
 * simply create your own decree_menu_item(), and that function will be used instead.
 *
 * * @since Decree Pro 1.0
 */
function decree_menu_item( $menu_item ) {
    if ( defined( 'QTX_VERSION' ) && function_exists( 'qtrans_convertURL' ) ) {
        if ( 'custom' === $menu_item->type && false !== stripos( $menu_item->url, get_site_url() ) ) {
            $menu_item->url = qtrans_convertURL( $menu_item->url );
        }
    }
    // convert local URLs in custom menu items

        return $menu_item;
} // decree_menuitem
endif;
add_filter( 'wp_setup_nav_menu_item' , 'decree_menu_item', 0 );


/**
 * Add Support for WPML, qTranslate X & Polylang Plugin
 */
function decree_support_translations() {
	if ( defined( 'ICL_SITEPRESS_VERSION' ) || defined( 'QTX_VERSION' ) || class_exists( 'Polylang' ) ) {
		delete_transient( 'decree_featured_content' );
        delete_transient( 'decree_news_ticker' );
        delete_transient( 'decree_featured_slider' );
        delete_transient( 'decree_footer_content' );
        delete_transient( 'decree_featured_image' );
        delete_transient( 'all_the_cool_cats' );
	}
}
add_action( 'after_setup_theme', 'decree_support_translations' );
