/**
 * Add a listener to the Color Scheme control to update other color controls to new values/defaults.
 */

( function( api ) {
    wp.customize( 'decree_theme_options[reset_typography]', function( setting ) {
        setting.bind( function( value ) {
            var code = 'needs_refresh';
            if ( value ) {
                setting.notifications.add( code, new wp.customize.Notification(
                    code,
                    {
                        type: 'info',
                        message: decree_data.reset_message
                    }
                ) );
            } else {
                setting.notifications.remove( code );
            }
        } );
    } );

    wp.customize( 'decree_theme_options[reset_footer_content]', function( setting ) {
        setting.bind( function( value ) {
            var code = 'needs_refresh';
            if ( value ) {
                setting.notifications.add( code, new wp.customize.Notification(
                    code,
                    {
                        type: 'info',
                        message: decree_data.reset_message
                    }
                ) );
            } else {
                setting.notifications.remove( code );
            }
        } );
    } );

    wp.customize( 'decree_theme_options[reset_all_settings]', function( setting ) {
        setting.bind( function( value ) {
            var code = 'needs_refresh';
            if ( value ) {
                setting.notifications.add( code, new wp.customize.Notification(
                    code,
                    {
                        type: 'info',
                        message: decree_data.reset_message
                    }
                ) );
            } else {
                setting.notifications.remove( code );
            }
        } );
    } );

    // Portfolio: Show description only when Custom Post Type is selected.
    wp.customize( 'decree_theme_options[portfolio_type]', function( setting ) {
        setting.bind( function( value ) {
            if( 'jetpack-portfolio' == value ) {
                jQuery('#customize-control-decree_theme_options-portfolio_type .description.customize-control-description').show();
            }else{
                jQuery('#customize-control-decree_theme_options-portfolio_type .description.customize-control-description').hide();
            }
        } );
    } );

    // Testimonial: Show description only when Custom Post Type is selected.
    wp.customize( 'decree_theme_options[testimonial_type]', function( setting ) {
        setting.bind( function( value ) {
            if( 'jetpack-testimonial' == value ) {
                jQuery('#customize-control-decree_theme_options-testimonial_type .description.customize-control-description').show();
            }else{
                jQuery('#customize-control-decree_theme_options-testimonial_type .description.customize-control-description').hide();
            }
        } );
    } );

    // Pagination: Show description only when Infinite Scroll is selected.
    wp.customize( 'decree_theme_options[pagination_type]', function( setting ) {
        setting.bind( function( value ) {
            if( 'infinite-scroll' == value ) {
                jQuery('#sub-accordion-section-decree_pagination_options .description.customize-section-description').show();
            }else{
                jQuery('#sub-accordion-section-decree_pagination_options .description.customize-section-description').hide();
            }
        } );
    } );
} )( wp.customize );

jQuery( document ).ready(function() {
    // Check and hide or show description as per the options.

    var portfolio       = jQuery('#customize-control-decree_theme_options-portfolio_type select').val();
    if( 'jetpack-portfolio' == portfolio ) {
        jQuery('#customize-control-decree_theme_options-portfolio_type .description.customize-control-description').show();
    }else{
        jQuery('#customize-control-decree_theme_options-portfolio_type .description.customize-control-description').hide();
    }

    var testimonial     = jQuery('#customize-control-decree_theme_options-testimonial_type select').val();
    if( 'jetpack-testimonial' == testimonial ) {
        jQuery('#customize-control-decree_theme_options-testimonial_type .description.customize-control-description').show();
    }else{
        jQuery('#customize-control-decree_theme_options-testimonial_type .description.customize-control-description').hide();
    }

    var pagination_type = jQuery('#customize-control-decree_theme_options-pagination_type select').val();
    if( 'infinite-scroll' == pagination_type ) {
        jQuery('#sub-accordion-section-decree_pagination_options .description.customize-section-description').show();
    }else{
        jQuery('#sub-accordion-section-decree_pagination_options .description.customize-section-description').hide();
    }

} );
